#!/bin/sh

WEBSERVICE=$(grep "PreShowMusicService=1" /usr/share/CineDigitalManager/config.properties | wc -l)
PSMBI=$(grep '^PreShowMusicBroadcastInterface' /usr/share/CineDigitalManager/config.properties|cut -d= -f 2|tr -d '[:cntrl:]' )
PSMBA=$(grep '^PreShowMusicBroadcastAddress' /usr/share/CineDigitalManager/config.properties|cut -d= -f 2|tr -d '[:cntrl:]' )

export pidfile="/var/run/CineDigitalManagerPreShowMusicService.pid"

if [ $WEBSERVICE -ne 1 ]; then
    #echo "Service is not enabled (/usr/share/CineDigitalManager/config.properties file must contain PreShowMusicService=1)"
    sleep 3600
    exit 0
fi

if [ "xxx$PSMBA" = "xxx" ]; then
    PSMBA=224.1.2.3
fi

if [ "xxx$PSMBI" = "xxx" ]; then
    PSMBI=eth0
fi

while true; do
    if [ -f /sys/class/net/$PSMBI/operstate ]; then
        STATE=$(cat /sys/class/net/$PSMBI/operstate)
    else
        STATE=down
    fi
    if [ "xxx$STATE" = "xxxdown" ] && [ -e $pidfile ]; then
        PID=$(cat $pidfile)
        rm -f $pidfile
        route del -host $PSMBA 2>/dev/null
        kill -9 $PID
    fi
    sleep 60
done

